Bug 833745 - semanage tracebacks during the installation of xguest package
semanage tracebacks during the installation of xguest package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Michal Trunecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 04:59 EDT by Milos Malik
Modified: 2014-09-30 19:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:29:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-06-20 04:59:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):
policycoreutils-python-2.1.11-18.el7.x86_64
policycoreutils-sandbox-2.1.11-18.el7.x86_64
policycoreutils-2.1.11-18.el7.x86_64
policycoreutils-newrole-2.1.11-18.el7.x86_64

How reproducible:
always

Steps to Reproduce:
# rpm -e xguest
# rpm -ivh xguest-1.0.10-3.el7.noarch.rpm 
Preparing...                ########################################### [100%]
   1:xguest                 ########################################### [100%]

Traceback (most recent call last):
  File "/sbin/semanage", line 566, in <module>
    trans.finish()
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 285, in finish
    self.commit()
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 274, in commit
    semanage_set_reload(self.sh, self.reload)
TypeError: in method 'semanage_set_reload', argument 2 of type 'int'
#
  
Actual results:
* a traceback

Expected results:
* no tracebacks
Comment 1 Daniel Walsh 2012-06-20 16:03:43 EDT
Fixed in policycoreutils-2.1.11-18.fc18
Comment 3 Ludek Smid 2014-06-13 07:29:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.